summaryrefslogtreecommitdiffstats
path: root/clean_repro_zzh.sh
diff options
context:
space:
mode:
authorAaron LI <aaronly.me@outlook.com>2016-04-26 16:59:05 +0800
committerAaron LI <aaronly.me@outlook.com>2016-04-26 16:59:05 +0800
commit682e5dd48ac854fc8a1cc49fd572663284903cf4 (patch)
tree86b57216756f18b416cf63756e673f8ddc563960 /clean_repro_zzh.sh
downloadcexcess-682e5dd48ac854fc8a1cc49fd572663284903cf4.tar.bz2
Use git to manage the tools of excess_sample
Diffstat (limited to 'clean_repro_zzh.sh')
-rwxr-xr-xclean_repro_zzh.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/clean_repro_zzh.sh b/clean_repro_zzh.sh
new file mode 100755
index 0000000..1478f9c
--- /dev/null
+++ b/clean_repro_zzh.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# Clean the 'repro' and its subdirectories for the sources
+# drawn from zzh among the excess_sample.
+#
+#
+# Aaron LI
+# 2016-04-12
+#
+
+case "$1" in
+ ""|-[hH]*)
+ echo "Usage: `basename $0` <repro_dir1> ..."
+ exit 1
+esac
+
+INIT_DIR=`pwd -P`
+while [ ! -z "$1" ]; do
+ repro_dir="$1"
+ shift
+ cd ${INIT_DIR}
+ cd ${repro_dir}
+ echo "*** Cleaning '${repro_dir}' ..."
+ cd evt
+ rm -fv *~ .?*~ _* *.log
+ rm -fv evt2*_orig.fits evt2*_rmsrcs.fits
+ rm -fv img_*.fits sbprofile.reg *fov*.fits
+ mv -fv peak*.reg ../img/
+ cd ../bkg
+ rm -fv *~ .?*~ _* *.log
+ cd ../img
+ rm -fv *~ .?*~ _* *.log
+ rm -fv rspec*bak *fov*.fits img_*.fits
+done
+